{$mode delphi}
uses ipc,linux,sysutils,baseunix;
{$i queue.inc}

var
 priority:longint;
begin
 if(paramcount <> 2)then begin
  warn('Применение : '+paramstr(0)+' имя приоритет.');
  halt(1);
 end;
 try
  priority := strtoint(paramstr(2));
 except
  on e:econverterror do begin
   warn('Нечисловой приоритет.');
   halt(2);
  end;
 end;
 if(priority < 0) or (priority > MAXPRIOR)then begin
  warn('Недопустимый приоритет.');
  halt(2);
 end;
 if (not enter(paramstr(1), priority))then begin
  warn('Ошибка в процедуре enter.');
  halt(3);
 end;
 halt(0);
end.